Issue #12733 has been updated by hsbt (Hiroshi SHIBATA).


I update my working branch.

https://github.com/ruby/ruby/pull/1536

Changes in this branch:

1. Directory Structure

I organized bundler integration like this:

```
  root -+- lib -+- bundler/*
            |          |
            |          +- bundler.gemspec
            |          |
            |          +- rubygems
            |          |
            |
            |
            +- spec -+- bundler/*
                            |
                            +- rubyspec
                            |

```

Differences from bundler repo are gemspec and rspec examples locations.
I'm going to send a pull request adopting Ruby core directory structure to bundler upstream.

2. Exclude some rspec examples for Ruby core.

Some of the bundler examples need to installed Ruby interpreter. But Ruby core test suite doesn't
use installed ruby interpreter. Therefore, It is necessary to exclude examples that require the
installed ruby interpreter.

I also send a pull request these exclusions used rspec filter condition to bundler repo.

Finally, We need to show results of "test-bundler" on Ruby CI (https://rubyci.org).
I will make patches for bundler integration to ruby/rubyci and ruby/chkbuild.











----------------------------------------
Feature #12733: Bundle bundler to ruby core
https://bugs.ruby-lang.org/issues/12733#change-66493

* Author: hsbt (Hiroshi SHIBATA)
* Status: Assigned
* Priority: Normal
* Assignee: hsbt (Hiroshi SHIBATA)
* Target version: 2.5
----------------------------------------
rubygems team has plan to migrate bundler into rubygems at rubygems 3.0.

ref. https://github.com/rubygems/rubygems/issues/1681

In current status, rubygems only use `Bundler` module on test suites.
But we should track rubygems upstream step by step. I propose to bundle bundler
for stdlib as default gem on ruby core repository.

but we have some consideration. such as

 * bundler uses rspec for test suites. How to use rspec on ruby core repository?
 * Who are maintain bundler on ruby core repository?

This issue is epic topic. Please comment your concerns or idea. 



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>